Reference for Processing version 1.1+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, »please let us know. If you prefer a more technical reference, visit the »Processing Javadoc.

Class | Serial

Name

### available()

Examples

    // Example by Tom Igoe

    import processing.serial.*;

    // The serial port:
    Serial myPort;

    void setup() {

      // List all the available serial ports:
      println(Serial.list());

      /*  I know that the first port in the serial list on my mac
      is always my  Keyspan adaptor, so I open Serial.list()[0].
      Open whatever port is the one you're using.
      */
      myPort = new Serial(this, Serial.list()[0], 9600);
    }

    void draw() {
      while (myPort.available() > 0) {
        int inByte = myPort.read();
        println(inByte);
      }
    }

Description | Returns the number of bytes available.

Syntax

    serial.available()

Parameters

serial | any variable of type Serial

Returns | int
Usage | Web & Application

Updated on June 14, 2010 12:05:25pm EDT